/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package fernandez_sanchez_abraham_PROG07_Tarea;

import java.beans.PropertyVetoException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;
import persistencia.EmpleadoClass;
import persistencia.UtilClass;

/**
 *
 * @author Abraham Fernandez Sanchez
 */
public final class WindowEditEmpleado extends javax.swing.JInternalFrame {

    UtilClass util;
    static EmpleadoClass empleado;
    
    private String nombre;
    private String apellidos;
    private String titulacion;    
    private String direccion;
    private String nif;
    private int telefono;
    private int edad;
    private String fechaAlta;
    private boolean interino;
    private String nombreTrabajo;
   
    
    /**
     * Creates new form WindowNewProfesor
     */
    public WindowEditEmpleado() {
        initComponents();
        loadComboBoxTrabajos();
        jCheckBoxInterino.setVisible(false);
        jPanelDatosEditar.setVisible(false);
        this.setSize(379, 150);//dimensiones del panel principal o la ventana
    }
    
     /**
     * Metodo que introduce los trabajos existentes en persistencia en el JCombo box
     */
    public void loadComboBoxTrabajos(){
        util = new UtilClass();
        int size = util.sizeListaTrabajos();  
        for (int i = 0; i < size; i++) {
            nombreTrabajo = util.getTrabajo(i);
            jComboBoxTitulacion.insertItemAt(nombreTrabajo, i);            
        } 
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanelSearchEmpleado = new javax.swing.JPanel();
        jLabel9 = new javax.swing.JLabel();
        jTextFieldSearchNif = new javax.swing.JTextField();
        jButtonBuscarNif = new javax.swing.JButton();
        jPanelDatosEditar = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jTextFieldNombre = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        jTextFieldApellidos = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        jComboBoxTitulacion = new javax.swing.JComboBox<>();
        jCheckBoxInterino = new javax.swing.JCheckBox();
        jLabel3 = new javax.swing.JLabel();
        jTextFieldDireccion = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        jTextFieldNif = new javax.swing.JTextField();
        jLabel8 = new javax.swing.JLabel();
        jTextFieldTelefono = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        jTextFieldEdad = new javax.swing.JTextField();
        jLabel7 = new javax.swing.JLabel();
        jTextFieldFechaAlta = new javax.swing.JTextField();
        jButtonGuardarModificaciones = new javax.swing.JButton();
        jButtonEliminarEmpleado = new javax.swing.JButton();
        jButtonCancelar = new javax.swing.JButton();
        jSeparator1 = new javax.swing.JSeparator();

        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        setTitle("Editar empleado");

        jLabel9.setText("NIF del empleado que desea editar :");

        jButtonBuscarNif.setText("Buscar");
        jButtonBuscarNif.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonBuscarNifActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanelSearchEmpleadoLayout = new javax.swing.GroupLayout(jPanelSearchEmpleado);
        jPanelSearchEmpleado.setLayout(jPanelSearchEmpleadoLayout);
        jPanelSearchEmpleadoLayout.setHorizontalGroup(
            jPanelSearchEmpleadoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelSearchEmpleadoLayout.createSequentialGroup()
                .addGap(58, 58, 58)
                .addGroup(jPanelSearchEmpleadoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel9)
                    .addComponent(jTextFieldSearchNif, javax.swing.GroupLayout.PREFERRED_SIZE, 200, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(jPanelSearchEmpleadoLayout.createSequentialGroup()
                        .addComponent(jButtonBuscarNif)
                        .addGap(63, 63, 63)))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanelSearchEmpleadoLayout.setVerticalGroup(
            jPanelSearchEmpleadoLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelSearchEmpleadoLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel9, javax.swing.GroupLayout.PREFERRED_SIZE, 16, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jTextFieldSearchNif, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 13, Short.MAX_VALUE)
                .addComponent(jButtonBuscarNif)
                .addContainerGap())
        );

        jLabel1.setText("Nombre: ");

        jLabel2.setText("Apellidos: ");

        jLabel4.setText("Titulacion: ");

        jComboBoxTitulacion.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jComboBoxTitulacionActionPerformed(evt);
            }
        });

        jCheckBoxInterino.setText("Interino");

        jLabel3.setText("Direccion: ");

        jLabel5.setText("NIF: ");

        jLabel8.setText("Teléfono: ");

        jLabel6.setText("Edad: ");

        jLabel7.setText("F. Alta: ");

        jButtonGuardarModificaciones.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f00c(3)_32.png"))); // NOI18N
        jButtonGuardarModificaciones.setText("Guardar");
        jButtonGuardarModificaciones.setToolTipText("Aceptar la Edicion del empleado");
        jButtonGuardarModificaciones.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonGuardarModificacionesActionPerformed(evt);
            }
        });

        jButtonEliminarEmpleado.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f014(5)_32.png"))); // NOI18N
        jButtonEliminarEmpleado.setText("Eliminar");
        jButtonEliminarEmpleado.setToolTipText("Eliminar a este empleado");
        jButtonEliminarEmpleado.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonEliminarEmpleadoActionPerformed(evt);
            }
        });

        jButtonCancelar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/fernandez_sanchez_abraham_PROG07_Tarea/iconos/FontAwesome_f00d(2)_32.png"))); // NOI18N
        jButtonCancelar.setText("Cancelar");
        jButtonCancelar.setToolTipText("Cancelacion de la edicion");
        jButtonCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCancelarActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanelDatosEditarLayout = new javax.swing.GroupLayout(jPanelDatosEditar);
        jPanelDatosEditar.setLayout(jPanelDatosEditarLayout);
        jPanelDatosEditarLayout.setHorizontalGroup(
            jPanelDatosEditarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelDatosEditarLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanelDatosEditarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanelDatosEditarLayout.createSequentialGroup()
                        .addGroup(jPanelDatosEditarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanelDatosEditarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                .addComponent(jLabel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(jLabel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(jLabel4, javax.swing.GroupLayout.Alignment.LEADING))
                            .addComponent(jLabel1))
                        .addGroup(jPanelDatosEditarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jTextFieldNombre)
                            .addComponent(jTextFieldDireccion)
                            .addComponent(jTextFieldApellidos)
                            .addGroup(jPanelDatosEditarLayout.createSequentialGroup()
                                .addComponent(jComboBoxTitulacion, javax.swing.GroupLayout.PREFERRED_SIZE, 127, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 94, Short.MAX_VALUE)
                                .addComponent(jCheckBoxInterino))))
                    .addGroup(jPanelDatosEditarLayout.createSequentialGroup()
                        .addGroup(jPanelDatosEditarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel6)
                            .addComponent(jLabel7))
                        .addGap(21, 21, 21)
                        .addGroup(jPanelDatosEditarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jTextFieldEdad)
                            .addComponent(jTextFieldFechaAlta)))
                    .addGroup(jPanelDatosEditarLayout.createSequentialGroup()
                        .addComponent(jLabel5)
                        .addGap(38, 38, 38)
                        .addComponent(jTextFieldNif))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanelDatosEditarLayout.createSequentialGroup()
                        .addComponent(jLabel8)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jTextFieldTelefono)))
                .addContainerGap())
            .addComponent(jSeparator1)
            .addGroup(jPanelDatosEditarLayout.createSequentialGroup()
                .addComponent(jButtonGuardarModificaciones)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jButtonEliminarEmpleado)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 12, Short.MAX_VALUE)
                .addComponent(jButtonCancelar))
        );
        jPanelDatosEditarLayout.setVerticalGroup(
            jPanelDatosEditarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelDatosEditarLayout.createSequentialGroup()
                .addGap(16, 16, 16)
                .addGroup(jPanelDatosEditarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(jTextFieldNombre, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanelDatosEditarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(jTextFieldApellidos, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(22, 22, 22)
                .addGroup(jPanelDatosEditarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel4)
                    .addComponent(jCheckBoxInterino)
                    .addComponent(jComboBoxTitulacion, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanelDatosEditarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldDireccion, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel3))
                .addGap(18, 18, 18)
                .addGroup(jPanelDatosEditarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel5)
                    .addComponent(jTextFieldNif, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanelDatosEditarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel8)
                    .addComponent(jTextFieldTelefono, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanelDatosEditarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel6)
                    .addComponent(jTextFieldEdad, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanelDatosEditarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel7)
                    .addComponent(jTextFieldFechaAlta, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 8, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanelDatosEditarLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButtonGuardarModificaciones)
                    .addComponent(jButtonEliminarEmpleado)
                    .addComponent(jButtonCancelar))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jPanelSearchEmpleado, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jPanelDatosEditar, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jPanelSearchEmpleado, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jPanelDatosEditar, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonBuscarNifActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonBuscarNifActionPerformed
        searchEmpleado();        
    }//GEN-LAST:event_jButtonBuscarNifActionPerformed

    private void jButtonGuardarModificacionesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonGuardarModificacionesActionPerformed
        try {
               
            nombre = jTextFieldNombre.getText();
            apellidos = jTextFieldApellidos.getText();
            titulacion = jComboBoxTitulacion.getItemAt(jComboBoxTitulacion.getSelectedIndex());
            direccion = jTextFieldDireccion.getText();
            nif = jTextFieldNif.getText();
            telefono = Integer.parseInt(jTextFieldTelefono.getText());
            edad = Integer.parseInt(jTextFieldEdad.getText());
            fechaAlta = jTextFieldFechaAlta.getText();
            interino = jCheckBoxInterino.isSelected();
            
            empleado = new EmpleadoClass(nombre, apellidos, titulacion, direccion, nif, telefono, edad, fechaAlta, interino);
            
            util = new UtilClass();
            util.modifiEmpleado(empleado);
            
            clearJText(); 
        } catch (NumberFormatException e) {
            JOptionPane.showMessageDialog(this, "Los campos 'telefono' y 'edad' son numericos, introdúzcalos correctamente ");
        }
    }//GEN-LAST:event_jButtonGuardarModificacionesActionPerformed

    private void jButtonEliminarEmpleadoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonEliminarEmpleadoActionPerformed
            //0=SI - 1=NO 
            String mensaje = "¿Realmente quieres eliminar a "+jTextFieldNombre.getText()+" "+jTextFieldApellidos.getText()+" \ncon dni "+jTextFieldNif.getText()+" ?";
            int respuesta = JOptionPane.showConfirmDialog(null, mensaje, "Confirmación", JOptionPane.YES_NO_OPTION, JOptionPane.INFORMATION_MESSAGE);
            if(respuesta==0){
                util = new UtilClass();        
                util.deleteEmpleado(jTextFieldNif.getText());
            }  
            
            clearJText();
    }//GEN-LAST:event_jButtonEliminarEmpleadoActionPerformed

    private void jComboBoxTitulacionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBoxTitulacionActionPerformed
        titulacion = jComboBoxTitulacion.getItemAt(jComboBoxTitulacion.getSelectedIndex());
        if(titulacion.equalsIgnoreCase("profesor")){
            jCheckBoxInterino.setVisible(true);
        }else{
            jCheckBoxInterino.setVisible(false);
        }
    }//GEN-LAST:event_jComboBoxTitulacionActionPerformed

    private void jButtonCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCancelarActionPerformed
        try {
            this.setClosed(true);            
        } catch (PropertyVetoException ex) {
            Logger.getLogger(WindowNewEmpleado.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_jButtonCancelarActionPerformed

    /**
     * Metodo que controla la busqueda del empleado, selccionando la seguiente accion segun el resultado
     */
    public void searchEmpleado(){        
        util = new UtilClass();
        String Nif = jTextFieldSearchNif.getText();
        empleado = util.findEmpleado(Nif);
        if(empleado == null){
            JOptionPane.showMessageDialog(this, "El empleado no existe");
        }else{  
            insertDatosEmpleado(empleado);
            jPanelDatosEditar.setVisible(true);
            this.setSize(379, 600);//dimensiones de todda la ventana
        }        
    }
    
    /**
     * Metodo para introducir los datos del empleado seleccionado en sus JTexfield
     * @param empleado Objeto empleado de la clase EmpleadoClass
     */
    public void insertDatosEmpleado(EmpleadoClass empleado){
            nombre = empleado.getNombre();
            apellidos = empleado.getApellidos();            
            direccion = empleado.getDireccion();
            nif = empleado.getNif();
            telefono = empleado.getTelefono();
            edad = empleado.getEdad();
            fechaAlta = empleado.getFechaAlta();
            interino = empleado.isInterino();            
            jTextFieldNombre.setText(nombre);
            jTextFieldApellidos.setText(apellidos);            
            jTextFieldDireccion.setText(direccion);
            jTextFieldNif.setText(nif);
            jTextFieldTelefono.setText(String.valueOf(telefono));
            jTextFieldEdad.setText(String.valueOf(edad));
            jTextFieldFechaAlta.setText(fechaAlta);
            jCheckBoxInterino.setSelected(interino);   
            insertItemTitulacionEnJComboBox();
    }
    
    /**
     * Metodo que introduce como seleccionado en el JComboBOx el item de la lista de seleccion
     */
    public void insertItemTitulacionEnJComboBox(){
        titulacion = empleado.getTitulacion();            
        for (int i = 0; i < 10; i++) {
            if(titulacion.equalsIgnoreCase(jComboBoxTitulacion.getItemAt(i))){
                jComboBoxTitulacion.setSelectedIndex(i);
            }                
        } 
    }
    
    /**
     * Metodo para limpiar los valores de los campos de texto
     */
    public void clearJText(){    
        jTextFieldNombre.setText("");
        jTextFieldApellidos.setText("");
        jComboBoxTitulacion.setSelectedIndex(0);
        jTextFieldDireccion.setText("");
        jTextFieldNif.setText("");
        jTextFieldTelefono.setText("");
        jTextFieldEdad.setText("");
        jTextFieldFechaAlta.setText("");
        jCheckBoxInterino.setSelected(false);    
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonBuscarNif;
    private javax.swing.JButton jButtonCancelar;
    private javax.swing.JButton jButtonEliminarEmpleado;
    private javax.swing.JButton jButtonGuardarModificaciones;
    private javax.swing.JCheckBox jCheckBoxInterino;
    private javax.swing.JComboBox<String> jComboBoxTitulacion;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanelDatosEditar;
    private javax.swing.JPanel jPanelSearchEmpleado;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JTextField jTextFieldApellidos;
    private javax.swing.JTextField jTextFieldDireccion;
    private javax.swing.JTextField jTextFieldEdad;
    private javax.swing.JTextField jTextFieldFechaAlta;
    private javax.swing.JTextField jTextFieldNif;
    private javax.swing.JTextField jTextFieldNombre;
    private javax.swing.JTextField jTextFieldSearchNif;
    private javax.swing.JTextField jTextFieldTelefono;
    // End of variables declaration//GEN-END:variables
}
